<?php

namespace App\Models;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Comment extends BaseModel
{
    public $timestamps = false;
    use HasFactory;
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $fillable = ['comment_desc','sample_type_id','lab_id', BaseModel::CREATED_AT_FIELD, BaseModel::CREATED_BY_FIELD, BaseModel::UPDATED_AT_FIELD, BaseModel::UPDATED_BY_FIELD, BaseModel::RECORD_STATUS_FIELD];

    public static function boot()
    {
        parent::boot();
    }

    public function sample_type(){
        return $this->belongsTo('App\Models\SampleType','sample_type_id', 'id');
    }

}
